Subject: cs89x0 in 2.5 (was Re: eepro100 - 802.1q - mtu size)

From: Jeff Garzik <[email-masked]>
Date: Fri, 17 Jan 2003 12:49:28 -0500

On Fri, Jan 17, 2003 at 05:27:19PM +0000, Dave Jones wrote:
> On Fri, Jan 17, 2003 at 11:28:18AM -0500, Jeff Garzik wrote:
> 
>  > The reason why the patch was not accepted is that it changes one magic
>  > number to another magic number, and without chipset docs, I had no idea
>  > what either magic number really meant.
> 
> Whilst on the subject of magic numbers in net drivers, did we ever get
> to the bottom of 2.4's ChangeSet 1.587.9.20 
> 
> ftp://ftp.kernel.org/pub/linux/kernel/people/davej/patches/2.5/2.5.48/split-dj1/net-cs89x0-media-corrections.diff

IIRC it came from -ac tree without explanation, and I think akpm said it
broke stuff.  Since it has an alive maintainer (akpm), I would rather
let Alan and Andrew fight it out :)  Whatever they decide is fine with
me for 2.5.

	Jeff